Subject: Re: gcc Core Dump
From: "Max Bowsher" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 6 Mar 2003 14:48:17 -0000

[email-masked] wrote:
> David,
>
> I installed gcc-2 now and tried with gcc-2.

That wasn't what he meant.

Upgrade gcc (not gcc2) to the current version: 3.2-3.

(This is what I would recommend in response to your reply with gdb results,
as well)

> It compiles and links without problem as well.
> When executing the program it doesn't go inside the function.
> The program just outputs 'Hello World' twice and ends.

Now that's just weird.

> uname -a says:
> CYGWIN_NT-5.0 ZWG15-0274 1.3.15(0.63/3/2) 2002-11-06 22:41 i686

Old version of cygwin. I don't think that's related to your gcc problem, but
you might upgrade anyway. Bugfixes/improvements are happening all the time.

Max.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/